Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine
Interface JRChartPlot

All Superinterfaces:
  java.lang.Cloneable, JRCloneable

All Known Subinterfaces:
  JRAreaPlot, JRBar3DPlot, JRBarPlot, JRBubblePlot, JRCandlestickPlot, JRHighLowPlot, JRLinePlot, JRMeterPlot, JRMultiAxisPlot, JRPie3DPlot, JRPiePlot, JRScatterPlot, JRThermometerPlot, JRTimeSeriesPlot

All Known Implementing Classes:
  JRBaseAreaPlot, JRBaseBar3DPlot, JRBaseBarPlot, JRBaseBubblePlot, JRBaseCandlestickPlot, JRBaseChartPlot, JRBaseHighLowPlot, JRBaseLinePlot, JRBaseMeterPlot, JRBaseMultiAxisPlot, JRBasePie3DPlot, JRBasePiePlot, JRBaseScatterPlot, JRBaseThermometerPlot, JRBaseTimeSeriesPlot, JRDesignAreaPlot, JRDesignBar3DPlot, JRDesignBarPlot, JRDesignBubblePlot, JRDesignCandlestickPlot, JRDesignHighLowPlot, JRDesignLinePlot, JRDesignMeterPlot, JRDesignMultiAxisPlot, JRDesignPie3DPlot, JRDesignPiePlot, JRDesignScatterPlot, JRDesignThermometerPlot, JRDesignTimeSeriesPlot, JRFillAreaPlot, JRFillBar3DPlot, JRFillBarPlot, JRFillBubblePlot, JRFillCandlestickPlot, JRFillChartPlot, JRFillHighLowPlot, JRFillLinePlot, JRFillMeterPlot, JRFillMultiAxisPlot, JRFillPie3DPlot, JRFillPiePlot, JRFillScatterPlot, JRFillThermometerPlot, JRFillTimeSeriesPlot

    public interface JRChartPlot

extends JRCloneable

Chart plots define chart appearance and display details such as colors, legend or labels. Each plot may have different characteristics, depending on the chart type it belongs to. This is the superinterface for all plots and contains common properties.

Version:
  $Id: JRChartPlot.java 3610 2010-03-23 10:01:26Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Nested Class Summary
`static interface` | `JRChartPlot.JRSeriesColor`

Method Summary
`void` | `addSeriesColor(JRChartPlot.JRSeriesColor seriesColor)` Adds the specified series color to the plot.
`void` | `clearSeriesColors()` Removes all defined series colors.
`java.lang.Object` | `clone(JRChart parentChart)`
`void` | `collectExpressions(JRExpressionCollector collector)`
`java.awt.Color` | `getBackcolor()` Gets the chart background color.
`float` | `getBackgroundAlpha()` Deprecated. Replaced by `getBackgroundAlphaFloat()`
`java.lang.Float` | `getBackgroundAlphaFloat()` Gets the transparency factor for this plot background.
`JRChart` | `getChart()` Gets the chart associated with this chart plot, if available.
`float` | `getForegroundAlpha()` Deprecated. Replaced by `getForegroundAlphaFloat()`
`java.lang.Float` | `getForegroundAlphaFloat()` Gets the transparency factor for this plot foreground.
`double` | `getLabelRotation()` Deprecated. Replaced by `getLabelRotationDouble()`
`java.lang.Double` | `getLabelRotationDouble()` Deprecated. Replaced by `JRCategoryAxisFormat.getCategoryAxisTickLabelRotation()`.
`org.jfree.chart.plot.PlotOrientation` | `getOrientation()` Gets the plot orientation (horizontal or vertical).
`java.awt.Color` | `getOwnBackcolor()`
`java.util.SortedSet` | `getSeriesColors()` Returns a list of all the defined series colors.
`void` | `setBackcolor(java.awt.Color backcolor)` Sets the chart background color.
`void` | `setBackgroundAlpha(float backgroundAlpha)` Deprecated. Replaced by `setBackgroundAlpha(Float)`
`void` | `setBackgroundAlpha(java.lang.Float backgroundAlpha)` Sets the transparency factor for this plot background.
`void` | `setForegroundAlpha(float foregroundAlpha)` Deprecated. Replaced by `setForegroundAlpha(Float)`
`void` | `setForegroundAlpha(java.lang.Float foregroundAlpha)` Sets the transparency factor for this plot foreground.
`void` | `setLabelRotation(double labelRotation)` Deprecated. Replaced by `setLabelRotation(Double)`
`void` | `setLabelRotation(java.lang.Double labelRotation)` Deprecated. Replaced by `JRCategoryAxisFormat.setCategoryAxisTickLabelRotation(Double)`.
`void` | `setOrientation(org.jfree.chart.plot.PlotOrientation orientation)` Sets the plot orientation (horizontal or vertical).
`void` | `setSeriesColors(java.util.Collection colors)` Set the list of series colors.

Methods inherited from interface net.sf.jasperreports.engine.JRCloneable
`clone`

Method Detail

### getChart

    JRChart getChart()

  Gets the chart associated with this chart plot, if available. Implementations can return null on this method, especially if the chart plot is reused by multiple charts, which is not recommended since it prevents style properties inheritence from parent chart.

### getBackcolor

    java.awt.Color getBackcolor()

  Gets the chart background color.

### getOwnBackcolor

    java.awt.Color getOwnBackcolor()

### setBackcolor

    void setBackcolor(java.awt.Color backcolor)

  Sets the chart background color.

### getOrientation

    org.jfree.chart.plot.PlotOrientation getOrientation()

  Gets the plot orientation (horizontal or vertical).

### setOrientation

    void setOrientation(org.jfree.chart.plot.PlotOrientation orientation)

  Sets the plot orientation (horizontal or vertical).

### getBackgroundAlpha

    float getBackgroundAlpha()

  Deprecated. Replaced by `getBackgroundAlphaFloat()`

### setBackgroundAlpha

    void setBackgroundAlpha(float backgroundAlpha)

  Deprecated. Replaced by `setBackgroundAlpha(Float)`

### getForegroundAlpha

    float getForegroundAlpha()

  Deprecated. Replaced by `getForegroundAlphaFloat()`

### setForegroundAlpha

    void setForegroundAlpha(float foregroundAlpha)

  Deprecated. Replaced by `setForegroundAlpha(Float)`

### getLabelRotation

    double getLabelRotation()

  Deprecated. Replaced by `getLabelRotationDouble()`

### setLabelRotation

    void setLabelRotation(double labelRotation)

  Deprecated. Replaced by `setLabelRotation(Double)`

### getBackgroundAlphaFloat

    java.lang.Float getBackgroundAlphaFloat()

  Gets the transparency factor for this plot background. The range is from 0 to 1, where 0 means transparent and 1 opaque. The default is 1.

  Returns:
    a float value between 0 and 1.

### setBackgroundAlpha

    void setBackgroundAlpha(java.lang.Float backgroundAlpha)

  Sets the transparency factor for this plot background. The range is from 0 to 1, where 0 means transparent and 1 opaque. The default is 1.

### getForegroundAlphaFloat

    java.lang.Float getForegroundAlphaFloat()

  Gets the transparency factor for this plot foreground. The range is from 0 to 1, where 0 means transparent and 1 opaque. The default is 1.

  Returns:
    a float value between 0 and 1.

### setForegroundAlpha

    void setForegroundAlpha(java.lang.Float foregroundAlpha)

  Sets the transparency factor for this plot foreground. The range is from 0 to 1, where 0 means transparent and 1 opaque. The default is 1.

### getLabelRotationDouble

    java.lang.Double getLabelRotationDouble()

  Deprecated. Replaced by `JRCategoryAxisFormat.getCategoryAxisTickLabelRotation()`.

  Gets the angle in degrees to rotate the data axis labels. The range is -360 to 360. A positive value angles the label so it reads downwards wile a negative value angles the label so it reads upwards. Only charts that use a category based axis (such as line or bar charts) support label rotation.

### setLabelRotation

    void setLabelRotation(java.lang.Double labelRotation)

  Deprecated. Replaced by `JRCategoryAxisFormat.setCategoryAxisTickLabelRotation(Double)`.

  Sets the angle in degrees to rotate the data axis labels. The range is -360 to 360. A positive value angles the label so it reads downwards wile a negative value angles the label so it reads upwards. Only charts that use a category based axis (such as line or bar charts) support label rotation.

### getSeriesColors

    java.util.SortedSet getSeriesColors()

  Returns a list of all the defined series colors. Every entry in the list is of type JRChartPlot.JRSeriesColor. If there are no defined series colors this method will return an empty list, not null.

### clearSeriesColors

    void clearSeriesColors()

  Removes all defined series colors.

### addSeriesColor

    void addSeriesColor(JRChartPlot.JRSeriesColor seriesColor)

  Adds the specified series color to the plot.

### setSeriesColors

    void setSeriesColors(java.util.Collection colors)

  Set the list of series colors.

  Parameters:
    `colors` - the list of series colors (`JRChartPlot.JRSeriesColor` instances}

### collectExpressions

    void collectExpressions(JRExpressionCollector collector)

### clone

    java.lang.Object clone(JRChart parentChart)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com